Subject: RE: Windows XP Webdav redirector

From: "Jim Whitehead" <[email-masked]>
Date: Tue, 26 Feb 2002 21:48:55 -0800

Accidentally caught by the spam filter.

- Jim

-----Original Message-----
From: Brian Olore [mailto:[email-masked]]
Sent: Monday, February 25, 2002 8:36 AM
To: [email-masked]; [email-masked]
Subject: [Moderator Action] RE: Windows XP Webdav redirector

Hi Julian ...
    I am not sure if you have tried, but I am not able to "net use" a URI
that uses https://. If I use http:// to the same server, it works fine, but
since I am transmitting id/pw, I need the SSL. I have scoured the groups and
MS's site and cannot find anything useful.  It seems as if we are the only
ones dealing with MS's mess.

Any recommendations would be appreciated.

Thanks,
    Brian
    [email-masked]

From: "Julian Reschke" <[email-masked]>
To: "Julian Reschke" <[email-masked]>, <[email-masked]>
Date: Tue, 15 Jan 2002 17:16:56 +0100
Message-ID: <[email-masked]>
Subject: RE: Windows XP Webdav redirector

OK,

we finally fingured out the WebDAV redirector was refusing to
connect: it
*requires* that XML elements in the DAV: namespace use a prefix. This
means,
it won't recognize

 <multistatus xmlns="DAV:" />

while

 <anyprefix:multistatus xmlns:anyprefix="DAV:" />

will work.

Sigh.

It would be really great if Microsoft would start fixing the WebDAV
support
in their clients and servers.

Julian

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Julian Reschke
> Sent: Monday, January 14, 2002 7:34 PM
> To: [email-masked]
> Subject: Windows XP Webdav redirector
>
>
> Hi,
>
> I've been trying to get the WebDAV "redirector" (UA
> WebDAV-MiniRedir/5.1.2600) in Windows XP to mount our WebDAV
> server. I've found three issues for which I have workarounds,
> however, I'm
> still not able
> to mount from my server.
>
> Problem #1: basic authentication seems to be broken if the
> redirector *prompts* for the credentials. If you supply them on the
> command line:
>
>  "net use * URI password /user:username"
>
> it seems to work.
>
> Problem #2: given a URI like "http://server/a/b/c", the client
> tries OPTIONS
> and PROPFIND on "http://server/a" (which is wrong because this
> resource may
> not be WebDAV enabled). A similar (known!) problem exists in IE's
> "open as web folder", while mounting a web folder using network
> places behaves correctly.
>
> Problem #3: the URI may not contain a port number (even if it's
> 80!)
>
> All these problems lead to error message 67 ("network name not
> found") with
> absolutely no useful additional information.
>
>
> After working around these issues, I can get the redirector to
> issue a PROPFIND (Depth: 0) against by target URI (with correct
> Basic
> Authentication
> credentials), and my server is responding with 207 (MULTISTATUS)
> and a response body which seems to be just fine (and is accepted by
> the
> webfolder
> client). However, I'm still getting error #67.
>
> Did anybody else have a similar problem and knows what might be
> going wrong?
>
> Julian